package com.fp.bscoring;

import com.fp.common.exception.APPException;

public class BscoringException extends APPException{

	/**
	 * serialVersionUID
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * Crea una instancia de BscoringException.
	 * @param code		Codigo de mensaje aplicativo.
	 * @param message	Mensaje aplicativo 
	 * @param pCause	Excepcion original, cuando esta no se origina en api's de terceros.
	 * @param pParameters	Arreglo de parametros a presentar adcionales al mensaje aplicativo.
	 */ 
	public BscoringException(String pCode, String pMessage, Exception pCause, Object... pParameters) {
	        super(pCode, pMessage, pCause, pParameters);
	        }
	/**
	 * Crea una instancia de BscoringException.
	 * @param code		Codigo de mensaje aplicativo.
	 * @param message	Mensaje aplicativo 
	 */ 
	public BscoringException(String pCode, String pMessage) {
	        super(pCode, pMessage);
	        }
	/**
	 * Crea una instancia de BscoringException.
	 * @param code		Codigo de mensaje aplicativo.
	 * @param message	Mensaje aplicativo
	 * @param parameters parametros a presentar con el mensaje
	 */ 
	public BscoringException(String pCode, String pMessage, Object... pParameters) {
	        super(pCode, pMessage, pParameters);
	    }
	/**
	 * Crea una instancia de BscoringException.
	 * @param code		Codigo de mensaje aplicativo.
	 * @param message	Mensaje aplicativo
	 * @param cause causa original de la excepcion
	 */
	public BscoringException(String pCode, String pMessage, Exception pCause) {
	        super(pCode, pMessage, pCause);
	    }
}
